Pāriet uz saturu

Capacity group dependencies

Dependencies between capacity groups. When booking, the value of the group referenced by accumulator_id is set to the sum of the groups referenced by element_id

The capacity group dependency object

Attributes

iduuid

Unique identifier

accumulator_iduuid
capacity_groups.id

Identifier of the accumulating capacity group

element_iduuid
capacity_groups.id

Identifier of the accumulated capacity group

created_atread-onlytimestamp with time zone

Creation timestamp

Related resources

Embed related resources in the response with the select parameter, for example select=*,capacity_groups!accumulator_id(*). Resources related through more than one column need the column as a hint, like table!column(*).

capacity_groups!accumulator_id(*)object | null
capacity_groups

The capacity group referenced by accumulator_id.

capacity_groups!element_id(*)object | null
capacity_groups

The capacity group referenced by element_id.

The capacity group dependency object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "accumulator_id": "00000000-0000-0000-0000-000000000000",
  "element_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:21:07.688Z"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/capacity_group_dependencies?limit=10&select=*,capacity_groups!accumulator_id(*),capacity_groups!element_id(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List capacity group dependencies

Filters

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of capacity group dependencies with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /capacity_group_dependencies
curl -X GET "https://api.bookingmood.com/v1/capacity_group_dependencies?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "accumulator_id": "00000000-0000-0000-0000-000000000000",
    "element_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Create capacity group dependencies

Body

Partial<CapacityGroupDependency> | Array<Partial<CapacityGroupDependency>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created capacity group dependencies with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /capacity_group_dependencies
curl -X POST "https://api.bookingmood.com/v1/capacity_group_dependencies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "accumulator_id": "00000000-0000-0000-0000-000000000000",
    "element_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "accumulator_id": "00000000-0000-0000-0000-000000000000",
    "element_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Delete capacity group dependencies

Filters

Without filters, this request deletes all capacity group dependencies you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

The deleted capacity group dependencies with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /capacity_group_dependencies
curl -X DELETE "https://api.bookingmood.com/v1/capacity_group_dependencies?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "accumulator_id": "00000000-0000-0000-0000-000000000000",
    "element_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Update capacity group dependencies

Filters

Without filters, this request updates all capacity group dependencies you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

accumulator_idFilter<uuid>
capacity_groups.id

Identifier of the accumulating capacity group

element_idFilter<uuid>
capacity_groups.id

Identifier of the accumulated capacity group

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<CapacityGroupDependency>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated capacity group dependencies with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /capacity_group_dependencies
curl -X PATCH "https://api.bookingmood.com/v1/capacity_group_dependencies?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "accumulator_id": "00000000-0000-0000-0000-000000000000",
    "element_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Pārņemiet kontroli pār saviem rezervējumiem. Izveidojiet savu uzņēmumu.

Pievienojieties 1200+ neatkarīgajiem brīvdienu mājokļu izīrētājiem, kuri izmanto „Bookingmood“, lai palielinātu tiešo rezervāciju skaitu un veidotu ciešākas attiecības ar viesiem.

Sākt bezmaksas 14 dienas izmēģinājuma versiju